Index: src/coreInterface/Combination.cpp
===================================================================
--- src/coreInterface/Combination.cpp	(revision 74453)
+++ src/coreInterface/Combination.cpp	(working copy)
@@ -42,7 +42,7 @@
 static Combination::ConstTreeNode::Operator ConvertOperator
 (
     tree* brlcadTree
-) throw() {
+){
     Combination::ConstTreeNode::Operator ret = Combination::ConstTreeNode::Null;
 
     if (brlcadTree != 0) {
@@ -83,7 +83,7 @@
 static int ConvertOperatorBack
 (
     Combination::ConstTreeNode::Operator op
-) throw() {
+){
     int ret = 0;
 
     switch (op) {
@@ -123,7 +123,7 @@
 (
     tree* searchTree,
     tree* rootTree
-) throw() {
+){
     tree* ret = 0;
 
     switch (ConvertOperator(rootTree)) {
@@ -162,12 +162,12 @@
 // class Combination::ConstTreeNode
 //
 
-Combination::ConstTreeNode::Operator Combination::ConstTreeNode::Operation(void) const throw() {
+Combination::ConstTreeNode::Operator Combination::ConstTreeNode::Operation(void) const{
     return ConvertOperator(m_tree);
 }
 
 
-Combination::ConstTreeNode Combination::ConstTreeNode::LeftOperand(void) const throw() {
+Combination::ConstTreeNode Combination::ConstTreeNode::LeftOperand(void) const{
     ConstTreeNode ret;
 
     switch (ConvertOperator(m_tree)) {
@@ -186,7 +186,7 @@
 }
 
 
-Combination::ConstTreeNode Combination::ConstTreeNode::RightOperand(void) const throw() {
+Combination::ConstTreeNode Combination::ConstTreeNode::RightOperand(void) const{
     ConstTreeNode ret;
 
     switch (ConvertOperator(m_tree)) {
@@ -205,7 +205,7 @@
 }
 
 
-Combination::ConstTreeNode Combination::ConstTreeNode::Operand(void) const throw() {
+Combination::ConstTreeNode Combination::ConstTreeNode::Operand(void) const{
     ConstTreeNode ret;
 
     switch (ConvertOperator(m_tree)) {
@@ -221,7 +221,7 @@
 }
 
 
-const char* Combination::ConstTreeNode::Name(void) const throw() {
+const char* Combination::ConstTreeNode::Name(void) const{
     const char* ret = 0;
 
     switch (ConvertOperator(m_tree)) {
@@ -237,7 +237,7 @@
 }
 
 
-const double* Combination::ConstTreeNode::Matrix(void) const throw() {
+const double* Combination::ConstTreeNode::Matrix(void) const{
     const double* ret = 0;
 
     switch (ConvertOperator(m_tree)) {
@@ -257,7 +257,7 @@
 // class Combination::TreeNode
 //
 
-Combination::TreeNode Combination::TreeNode::LeftOperand(void) throw() {
+Combination::TreeNode Combination::TreeNode::LeftOperand(void){
     TreeNode ret;
 
     switch (ConvertOperator(m_tree)) {
@@ -278,7 +278,7 @@
 }
 
 
-Combination::TreeNode Combination::TreeNode::RightOperand(void) throw() {
+Combination::TreeNode Combination::TreeNode::RightOperand(void){
     TreeNode ret;
 
     switch (ConvertOperator(m_tree)) {
@@ -299,7 +299,7 @@
 }
 
 
-Combination::TreeNode Combination::TreeNode::Operand(void) throw() {
+Combination::TreeNode Combination::TreeNode::Operand(void){
     TreeNode ret;
 
     switch (ConvertOperator(m_tree)) {
@@ -320,7 +320,7 @@
 void Combination::TreeNode::SetName
 (
     const char* value
-) const throw(bad_alloc) {
+) const{
     switch (ConvertOperator(m_tree)) {
     case Leaf:
         if (value != 0) {
@@ -337,7 +337,6 @@
             else {
                 BU_UNSETJUMP;
                 m_tree->tr_l.tl_name = 0;
-                throw bad_alloc("BRLCAD::Combination::TreeNode::SetName");
             }
 
             BU_UNSETJUMP;
@@ -357,7 +356,7 @@
 void Combination::TreeNode::SetMatrix
 (
     double value[16]
-) const throw(bad_alloc) {
+) const{
     if (m_tree->tr_l.tl_mat == 0) {
         if (!BU_SETJUMP)
             m_tree->tr_l.tl_mat = bn_mat_dup(value);
@@ -364,7 +363,6 @@
         else {
             BU_UNSETJUMP;
             m_tree->tr_l.tl_mat = 0;
-            throw bad_alloc("BRLCAD::Combination::TreeNode::SetMatrix");
         }
 
         BU_UNSETJUMP;
@@ -377,7 +375,7 @@
 Combination::TreeNode Combination::TreeNode::Apply
 (
     Combination::ConstTreeNode::Operator op
-) throw(bad_alloc) {
+){
     assert(m_tree != 0);
 
     TreeNode ret;
@@ -390,10 +388,8 @@
             if (!BU_SETJUMP) {
                 RT_GET_TREE(newNode, m_resp);
             }
-            else {
+            else
                 BU_UNSETJUMP;
-                throw bad_alloc("BRLCAD::Combination::TreeNode::Apply");
-            }
 
             BU_UNSETJUMP;
 
@@ -424,7 +420,7 @@
 (
     Combination::ConstTreeNode::Operator op,
     const Combination::ConstTreeNode&    theOther
-) throw(bad_alloc) {
+){
     assert(m_tree != 0);
     assert(theOther.m_tree != 0);
 
@@ -441,10 +437,8 @@
             if (!BU_SETJUMP) {
                 RT_GET_TREE(newNode, m_resp);
             }
-            else {
+            else
                 BU_UNSETJUMP;
-                throw bad_alloc("BRLCAD::Combination::TreeNode::Apply");
-            }
 
             BU_UNSETJUMP;
 
@@ -460,7 +454,6 @@
             else {
                 BU_UNSETJUMP;
                 RT_FREE_TREE(newNode, m_resp);
-                throw bad_alloc("BRLCAD::Combination::TreeNode::Apply") ;
             }
 
             BU_UNSETJUMP;
@@ -485,7 +478,7 @@
 (
     Combination::ConstTreeNode::Operator op,
     const char*                          leafName
-) throw(bad_alloc) {
+){
     assert(leafName != 0);
 
     TreeNode ret;
@@ -496,10 +489,8 @@
         if (!BU_SETJUMP) {
             RT_GET_TREE(newLeaf.m_tree, newLeaf.m_resp);
         }
-        else {
+        else
             BU_UNSETJUMP;
-            throw bad_alloc("BRLCAD::Combination::TreeNode::Apply");
-        }
 
         BU_UNSETJUMP;
 
@@ -509,10 +500,8 @@
 
         if (!BU_SETJUMP)
             newLeaf.m_tree->tr_l.tl_name = bu_strdup(leafName);
-        else {
+        else
             BU_UNSETJUMP;
-            throw bad_alloc("BRLCAD::Combination::TreeNode::Apply") ;
-        }
 
         BU_UNSETJUMP;
 
@@ -530,7 +519,7 @@
 (
     const Combination::ConstTreeNode&    theOther,
     Combination::ConstTreeNode::Operator op
-) throw(bad_alloc) {
+){
     assert(m_tree != 0);
     assert(theOther.m_tree != 0);
 
@@ -547,10 +536,8 @@
             if (!BU_SETJUMP) {
                 RT_GET_TREE(newNode, m_resp);
             }
-            else {
+            else
                 BU_UNSETJUMP;
-                throw bad_alloc("BRLCAD::Combination::TreeNode::Apply");
-            }
 
             BU_UNSETJUMP;
 
@@ -565,7 +552,6 @@
             else {
                 BU_UNSETJUMP;
                 RT_FREE_TREE(newNode, m_resp);
-                throw bad_alloc("BRLCAD::Combination::TreeNode::Apply") ;
             }
 
             BU_UNSETJUMP;
@@ -592,7 +578,7 @@
 (
     const char*                          leafName,
     Combination::ConstTreeNode::Operator op
-) throw(bad_alloc) {
+){
     assert(leafName != 0);
 
     TreeNode ret;
@@ -603,10 +589,8 @@
         if (!BU_SETJUMP) {
             RT_GET_TREE(newLeaf.m_tree, newLeaf.m_resp);
         }
-        else {
+        else
             BU_UNSETJUMP;
-            throw bad_alloc("BRLCAD::Combination::TreeNode::Apply");
-        }
 
         BU_UNSETJUMP;
 
@@ -616,10 +600,8 @@
 
         if (!BU_SETJUMP)
             newLeaf.m_tree->tr_l.tl_name = bu_strdup(leafName);
-        else {
+        else
             BU_UNSETJUMP;
-            throw bad_alloc("BRLCAD::Combination::TreeNode::Apply") ;
-        }
 
         BU_UNSETJUMP;
 
@@ -633,7 +615,7 @@
 }
 
 
-void Combination::TreeNode::Delete(void) throw() {
+void Combination::TreeNode::Delete(void){
     assert(m_tree != 0);
 
     TreeNode ret;
@@ -701,13 +683,11 @@
 // class Combination
 //
 
-Combination::Combination(void) throw(bad_alloc) : Object(), m_internalp(0) {
+Combination::Combination(void): Object(), m_internalp(0) {
     if (!BU_SETJUMP)
         m_internalp = static_cast<rt_comb_internal*>(bu_calloc(1, sizeof(rt_comb_internal), "BRLCAD::Combination::Combination::m_internalp"));
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Combination::Combination");
-    }
 
     BU_UNSETJUMP;
 
@@ -721,7 +701,7 @@
 Combination::Combination
 (
     const Combination& original
-) throw(bad_alloc) : Object(original), m_internalp(0) {
+): Object(original), m_internalp(0) {
     if (&original != this) {
         Copy(original);
 
@@ -767,8 +747,6 @@
 
                 bu_free(m_internalp, "BRLCAD::Combination::Combination::m_internalp");
             }
-
-            throw bad_alloc("BRLCAD::Combination::Combination");
         }
 
         BU_UNSETJUMP;
@@ -776,7 +754,7 @@
 }
 
 
-Combination::~Combination(void) throw() {
+Combination::~Combination(void){
     if (m_internalp != 0) {
         if (m_internalp->tree != 0)
             db_free_tree(m_internalp->tree, m_resp);
@@ -792,7 +770,7 @@
 const Combination& Combination::operator=
 (
     const Combination& original
-) throw(bad_alloc) {
+){
     if (&original != this) {
         Copy(original);
 
@@ -823,10 +801,8 @@
             bu_vls_strcpy(&internalTo->material, bu_vls_addr(&internalFrom->material));
             internalTo->inherit     = internalFrom->inherit;
         }
-        else {
+        else
             BU_UNSETJUMP;
-            throw bad_alloc("BRLCAD::Combination::Combination");
-        }
 
         BU_UNSETJUMP;
     }
@@ -835,12 +811,12 @@
 }
 
 
-Combination::ConstTreeNode Combination::Tree(void) const throw() {
+Combination::ConstTreeNode Combination::Tree(void) const{
     return ConstTreeNode(Internal()->tree);
 }
 
 
-Combination::TreeNode Combination::Tree(void) throw() {
+Combination::TreeNode Combination::Tree(void){
     return TreeNode(Internal()->tree, Internal(), m_resp);
 }
 
@@ -848,7 +824,7 @@
 void Combination::AddLeaf
 (
     const char* leafName
-) throw(bad_alloc) {
+){
     rt_comb_internal* internalp = Internal();
 
     if (internalp->tree == 0) {
@@ -855,10 +831,8 @@
         if (!BU_SETJUMP) {
             RT_GET_TREE(internalp->tree, m_resp);
         }
-        else {
+        else
             BU_UNSETJUMP;
-            throw bad_alloc("BRLCAD::Combination::AddLeaf");
-        }
 
         BU_UNSETJUMP;
 
@@ -872,8 +846,6 @@
             BU_UNSETJUMP;
             RT_FREE_TREE(internalp->tree, m_resp);
             internalp->tree = 0;
-
-            throw bad_alloc("BRLCAD::Combination::AddLeaf");
         }
 
         BU_UNSETJUMP;
@@ -884,7 +856,7 @@
 }
 
 
-bool Combination::IsRegion(void) const throw() {
+bool Combination::IsRegion(void) const{
     return Internal()->region_flag != 0;
 }
 
@@ -892,12 +864,12 @@
 void Combination::SetIsRegion
 (
     bool value
-) throw() {
+){
     Internal()->region_flag = (value) ? '\1' : '\0';
 }
 
 
-Combination::FastgenType Combination::FastgenRegion(void) const throw() {
+Combination::FastgenType Combination::FastgenRegion(void) const{
     Combination::FastgenType ret = Non;
 
     switch (Internal()->is_fastgen) {
@@ -924,7 +896,7 @@
 void Combination::SetFastgenRegion
 (
     Combination::FastgenType value
-) throw() {
+){
     switch (value) {
     case Non:
         Internal()->is_fastgen = REGION_NON_FASTGEN;
@@ -944,7 +916,7 @@
 }
 
 
-int Combination::RegionId(void) const throw() {
+int Combination::RegionId(void) const{
     return Internal()->region_id;
 }
 
@@ -952,12 +924,12 @@
 void Combination:: SetRegionId
 (
     int value
-) throw() {
+){
     Internal()->region_id = value;
 }
 
 
-int Combination::Aircode(void) const throw() {
+int Combination::Aircode(void) const{
     return Internal()->aircode;
 }
 
@@ -965,12 +937,12 @@
 void Combination::SetAircode
 (
     int value
-) throw() {
+){
     Internal()->aircode = value;
 }
 
 
-int Combination::GiftMaterial(void) const throw() {
+int Combination::GiftMaterial(void) const{
     return Internal()->GIFTmater;
 }
 
@@ -978,12 +950,12 @@
 void Combination::SetGiftMaterial
 (
     int value
-) throw() {
+){
     Internal()->GIFTmater = value;
 }
 
 
-int Combination::LineOfSight(void) const throw() {
+int Combination::LineOfSight(void) const{
     return Internal()->los;
 }
 
@@ -991,12 +963,12 @@
 void Combination::SetLineOfSight
 (
     int value
-) throw() {
+){
     Internal()->los = value;
 }
 
 
-bool Combination::HasColor(void) const throw() {
+bool Combination::HasColor(void) const{
     return Internal()->rgb_valid != 0;
 }
 
@@ -1004,12 +976,12 @@
 void Combination::SetHasColor
 (
     bool value
-) throw() {
+){
     Internal()->rgb_valid = (value) ? '\1' : '\0';
 }
 
 
-double Combination::Red(void) const throw() {
+double Combination::Red(void) const{
     return Internal()->rgb[0] / 255.;
 }
 
@@ -1017,7 +989,7 @@
 void Combination::SetRed
 (
     double value
-) throw() {
+){
     value = FMIN(FMAX(value, 0.), 1.);
 
     Internal()->rgb[0] = static_cast<unsigned char>(floor(value * 255 + 0.5));
@@ -1024,7 +996,7 @@
 }
 
 
-double Combination::Green(void) const throw() {
+double Combination::Green(void) const{
     return Internal()->rgb[1] / 255.;
 }
 
@@ -1032,7 +1004,7 @@
 void Combination::SetGreen
 (
     double value
-) throw() {
+){
     value = FMIN(FMAX(value, 0.), 1.);
 
     Internal()->rgb[1] = static_cast<unsigned char>(floor(value * 255 + 0.5));
@@ -1039,7 +1011,7 @@
 }
 
 
-double Combination::Blue(void) const throw() {
+double Combination::Blue(void) const{
     return Internal()->rgb[2] / 255.;
 }
 
@@ -1047,7 +1019,7 @@
 void Combination::SetBlue
 (
     double value
-) throw() {
+){
     value = FMIN(FMAX(value, 0.), 1.);
 
     Internal()->rgb[2] = static_cast<unsigned char>(floor(value * 255 + 0.5));
@@ -1054,7 +1026,7 @@
 }
 
 
-const char* Combination::Shader(void) const throw() {
+const char* Combination::Shader(void) const{
     return bu_vls_addr(&Internal()->shader);
 }
 
@@ -1062,19 +1034,17 @@
 void Combination::SetShader
 (
     const char* value
-) throw(bad_alloc) {
+){
     if (!BU_SETJUMP)
         bu_vls_strcpy(&Internal()->shader, value);
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Combination::SetShader");
-    }
 
     BU_UNSETJUMP;
 }
 
 
-bool Combination::Inherit(void) const throw() {
+bool Combination::Inherit(void) const{
     return Internal()->inherit != 0;
 }
 
@@ -1082,12 +1052,12 @@
 void Combination::SetInherit
 (
     bool value
-) throw() {
+){
     Internal()->inherit = (value) ? '\1' : '\0';
 }
 
 
-const char* Combination::Material(void) const throw() {
+const char* Combination::Material(void) const{
     return bu_vls_addr(&Internal()->material);
 }
 
@@ -1095,19 +1065,17 @@
 void Combination::SetMaterial
 (
     const char* value
-) throw(bad_alloc) {
+){
     if (!BU_SETJUMP)
         bu_vls_strcpy(&Internal()->material, value);
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Combination::SetMaterial");
-    }
 
     BU_UNSETJUMP;
 }
 
 
-double Combination::Temperature(void) const throw() {
+double Combination::Temperature(void) const{
     return Internal()->temperature;
 }
 
@@ -1115,7 +1083,7 @@
 void Combination::SetTemperature
 (
     double value
-) throw() {
+){
     Internal()->temperature = static_cast<float>(value);
 }
 
@@ -1123,7 +1091,7 @@
 const Object& Combination::operator=
 (
     const Object& original
-) throw(bad_alloc) {
+){
     const Combination* comb = dynamic_cast<const Combination*>(&original);
     assert(comb != 0);
 
@@ -1134,22 +1102,22 @@
 }
 
 
-Object* Combination::Clone(void) const throw(bad_alloc, std::bad_alloc) {
+Object* Combination::Clone(void) const{
     return new Combination(*this);
 }
 
 
-const char* Combination::ClassName(void) throw() {
+const char* Combination::ClassName(void){
     return "Combination";
 }
 
 
-const char* Combination::Type(void) const throw() {
+const char* Combination::Type(void) const{
     return ClassName();
 }
 
 
-bool Combination::IsValid(void) const throw() {
+bool Combination::IsValid(void) const{
     bool ret = Validate();
 
     if (ret) {
@@ -1175,10 +1143,10 @@
     directory*      pDir,
     rt_db_internal* ip,
     db_i*           dbip
-) throw() : Object(resp, pDir, ip, dbip), m_internalp(0) {}
+): Object(resp, pDir, ip, dbip), m_internalp(0) {}
 
 
-const rt_comb_internal* Combination::Internal(void) const throw() {
+const rt_comb_internal* Combination::Internal(void) const{
     const rt_comb_internal* ret;
 
     if (m_ip != 0)
@@ -1192,7 +1160,7 @@
 }
 
 
-rt_comb_internal* Combination::Internal(void) throw() {
+rt_comb_internal* Combination::Internal(void){
     rt_comb_internal* ret;
 
     if (m_ip != 0)
Index: src/coreInterface/Cone.cpp
===================================================================
--- src/coreInterface/Cone.cpp	(revision 74453)
+++ src/coreInterface/Cone.cpp	(working copy)
@@ -39,7 +39,7 @@
 using namespace BRLCAD;
 
 
-Cone::Cone(void) throw(bad_alloc) : Object () {
+Cone::Cone(void): Object () {
     if(!BU_SETJUMP){
         BU_GET(m_internalp, rt_tgc_internal);
         m_internalp->magic = RT_TGC_INTERNAL_MAGIC;
@@ -46,10 +46,8 @@
 
         Set(Vector3D(), Vector3D(0., 0., 1.), 1., 0.);
     }
-    else{
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Cone::Cone");
-    }
 
     BU_UNSETJUMP;
 }
@@ -63,8 +61,7 @@
     const Vector3D& semiPrincipalAxisB,
     double          ratioCtoA,
     double          ratioDtoB
-) throw(bad_alloc)
-{
+){
     if(!BU_SETJUMP){
         BU_GET(m_internalp, rt_tgc_internal);
         m_internalp->magic = RT_TGC_INTERNAL_MAGIC;
@@ -71,10 +68,8 @@
 
         Set(basePoint, height, semiPrincipalAxisA, semiPrincipalAxisB, ratioCtoA, ratioDtoB);
     }
-    else{
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Cone::Cone");
-    }
 
     BU_UNSETJUMP;
 
@@ -88,8 +83,7 @@
     const Vector3D& semiPrincipalAxisA,
     const Vector3D& semiPrincipalAxisB,
     double          scale
-) throw(bad_alloc)
-{
+){
     if(!BU_SETJUMP){
         BU_GET(m_internalp, rt_tgc_internal);
         m_internalp->magic = RT_TGC_INTERNAL_MAGIC;
@@ -96,10 +90,8 @@
 
         Set(basePoint, height, semiPrincipalAxisA, semiPrincipalAxisB, scale);
     }
-    else{
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Cone::Cone");
-    }
 
     BU_UNSETJUMP;
 
@@ -112,8 +104,7 @@
     const Vector3D& height,
     const Vector3D& semiPrincipalAxisA,
     const Vector3D& semiPrincipalAxisB
-) throw(bad_alloc)
-{
+){
     if(!BU_SETJUMP){
         BU_GET(m_internalp, rt_tgc_internal);
         m_internalp->magic = RT_TGC_INTERNAL_MAGIC;
@@ -120,10 +111,8 @@
 
         Set(basePoint, height, semiPrincipalAxisA, semiPrincipalAxisB);
     }
-    else{
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Cone::Cone");
-    }
 
     BU_UNSETJUMP;
 
@@ -136,8 +125,7 @@
     const Vector3D& height,
     double          radiusBase,
     double          radiusTop
-) throw(bad_alloc)
-{
+){
     if(!BU_SETJUMP){
         BU_GET(m_internalp, rt_tgc_internal);
         m_internalp->magic = RT_TGC_INTERNAL_MAGIC;
@@ -144,10 +132,8 @@
 
         Set(basePoint, height, radiusBase, radiusTop);
     }
-    else{
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Cone::Cone");
-    }
 
     BU_UNSETJUMP;
 
@@ -159,8 +145,7 @@
     const Vector3D& basePoint,
     const Vector3D& height,
     double          radius
-) throw(bad_alloc)
-{
+){
     if(!BU_SETJUMP){
         BU_GET(m_internalp, rt_tgc_internal);
         m_internalp->magic = RT_TGC_INTERNAL_MAGIC;
@@ -167,10 +152,8 @@
 
         Set(basePoint, height, radius);
     }
-    else{
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Cone::Cone");
-    }
 
     BU_UNSETJUMP;
 
@@ -180,21 +163,19 @@
 Cone::Cone
 (
     const Cone& original
-) throw(bad_alloc) : Object(original) {
+): Object(original) {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_tgc_internal);
         memcpy(m_internalp, original.Internal(), sizeof(rt_tgc_internal));
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Cone::Cone");
-    }
 
     BU_UNSETJUMP;
 }
 
 
-Cone::~Cone(void) throw() {
+Cone::~Cone(void){
     if (m_internalp != 0)
         bu_free(m_internalp, "BRLCAD::Cone::~Cone::m_internalp");
 }
@@ -203,7 +184,7 @@
 const Cone& Cone::operator=
 (
     const Cone& original
-) throw(bad_alloc) {
+){
     if(&original != this) {
         Copy(original);
         memcpy(Internal(), original.Internal(), sizeof(rt_tgc_internal));
@@ -213,7 +194,7 @@
 }
 
 
-Vector3D Cone::BasePoint(void) const throw() {
+Vector3D Cone::BasePoint(void) const{
     return Vector3D(Internal()->v);
 }
 
@@ -221,12 +202,12 @@
 void Cone::SetBasePoint
 (
     const Vector3D& basePoint
-) throw() {
+){
     VMOVE(Internal()->v, basePoint.coordinates);
 }
 
 
-Vector3D Cone::Height(void) const throw() {
+Vector3D Cone::Height(void) const{
     return Vector3D(Internal()->h);
 }
 
@@ -234,7 +215,7 @@
 void Cone::SetHeight
 (
     const Vector3D& height
-) throw() {
+){
     VMOVE(Internal()->h, height.coordinates);
 }
 
@@ -242,7 +223,7 @@
 Vector3D Cone::SemiPrincipalAxis
 (
     size_t index
-) const throw(){
+) const{
     Vector3D ret;
 
     assert(index < 4);
@@ -272,7 +253,7 @@
 (
     size_t          index,
     const Vector3D& semiPrincipalAxis
-) throw(){
+){
     assert(index < 4);
 
     switch (index) {
@@ -302,7 +283,7 @@
     const Vector3D& semiPrincipalAxisB,
     double          ratioCtoA,
     double          ratioDtoB
-) throw() {
+){
     rt_tgc_internal* internalp = Internal();
 
     VMOVE(internalp->v, basePoint.coordinates);
@@ -322,7 +303,7 @@
     const Vector3D& semiPrincipalAxisA,
     const Vector3D& semiPrincipalAxisB,
     double          scale
-) throw() {
+){
     rt_tgc_internal* internalp = Internal();
 
     VMOVE(internalp->v, basePoint.coordinates);
@@ -341,7 +322,7 @@
     const Vector3D& height,
     const Vector3D& semiPrincipalAxisA,
     const Vector3D& semiPrincipalAxisB
-) throw() {
+){
     rt_tgc_internal* internalp = Internal();
 
     VMOVE(internalp->v, basePoint.coordinates);
@@ -360,7 +341,7 @@
     const Vector3D& height,
     double          radiusBase,
     double          radiusTop
-) throw() {
+){
     rt_tgc_internal* internalp = Internal();
     vect_t           semiPrincipalAxisA = {0.};
     vect_t           semiPrincipalAxisB = {0.};
@@ -384,7 +365,7 @@
     const Vector3D& basePoint,
     const Vector3D& height,
     double          radius
-) throw() {
+){
     rt_tgc_internal* internalp = Internal();
     vect_t           semiPrincipalAxisA = {0.};
     vect_t           semiPrincipalAxisB = {0.};
@@ -406,7 +387,7 @@
 const Object& Cone::operator=
 (
     const Object& original
-) throw(bad_alloc) {
+){
     const Cone* tgc = dynamic_cast<const Cone*>(&original);
     assert(tgc != 0);
 
@@ -417,22 +398,22 @@
 }
 
 
-Object* Cone::Clone(void) const throw(bad_alloc, std::bad_alloc) {
+Object* Cone::Clone(void) const{
     return new Cone(*this);
 }
 
 
-const char* Cone::ClassName(void) throw() {
+const char* Cone::ClassName(void){
     return "Cone";
 }
 
 
-const char* Cone::Type(void) const throw() {
+const char* Cone::Type(void) const{
     return ClassName();
 }
 
 
-bool Cone::IsValid(void) const throw(){
+bool Cone::IsValid(void) const{
     bool                   ret       = false;
     const rt_tgc_internal* internalp = Internal();
         double magA = MAGNITUDE(internalp->a);
@@ -466,10 +447,10 @@
     directory*      pDir,
     rt_db_internal* ip,
     db_i*           dbip
-) throw() : Object(resp, pDir, ip, dbip), m_internalp(0) {}
+): Object(resp, pDir, ip, dbip), m_internalp(0) {}
 
 
-rt_tgc_internal* Cone::Internal(void) throw() {
+rt_tgc_internal* Cone::Internal(void){
     rt_tgc_internal* ret;
 
     if(m_ip != 0)
@@ -483,7 +464,7 @@
 }
 
 
-const rt_tgc_internal* Cone::Internal(void) const throw() {
+const rt_tgc_internal* Cone::Internal(void) const{
     const rt_tgc_internal* ret;
 
     if (m_ip != 0)
